View Issue Details

IDProjectCategoryView StatusLast Update
14502Bug reports[All Projects] Documentationpublic2019-04-30 09:11
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.16.x 
Summary14502: Template : need separation and need more twig information
Description

I look to add :

  1. twig manual link
  2. included function list
  3. new function by LS
  4. How to update twig configuration (adding a function for example)

But : i don't found where here : https://manual.limesurvey.org/New_Template_System_in_LS3.x

Additional Information

Maybe

https://manual.limesurvey.org/New_Template_System_in_LS3.x : basic usage

  1. update css/js
  2. update included html : link to boostrap and twig : basic usage of twig about {{ , ~"" etc …
  3. Some tips about image etc .

advanced/complete usage

  1. List twig function (think processString is really needed,maybe in basic tips ?)
  2. How to add a new twig function
  3. config.xml
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.8 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

Mazi

Mazi

2019-02-10 09:57

partner   ~50483

Carsten, can you assign this one to your manual expert? Is that "cdorin"?

DenisChenu

DenisChenu

2019-02-10 11:54

developer   ~50485

I can work on page, no problem : but i'm unsure if we need : 2 page (one basic + one advanced) or more :) @cdorin : if you create the page : give the link here .

cdorin

cdorin

2019-02-11 12:49

manager   ~50492

Haven t reached Themes yet. It is in my plan.

As @DenisChenu mentioned, we need two pages imo. One for advanced users, and one for average users - to serve as an introduction to Themes.

Denis, please edit https://manual.limesurvey.org/New_Template_System_in_LS3.x. It s nice for me to have all the knowledge in one place to start put it in a more simple language for simple users :). I am still not sure how the Themes page for basic users will look like since it s quite complex and a lot of notes will have to be added.

I will start working on Themes once covered all the manual at least once (almost there ^^) - my dream/goal is to finish Themes before the launch of LS4

DenisChenu

DenisChenu

2019-02-11 15:40

developer   ~50502

I put it anywhere on this page ? Create new cat after https://manual.limesurvey.org/New_Template_System_in_LS3.x#Some_notes ?

cdorin

cdorin

2019-02-11 15:45

manager   ~50503

Yes, looks good.

Mazi

Mazi

2019-02-12 10:18

partner   ~50511

@cdorin: As far as I can see there is no list of available Twig functions included at any manual page. That would be rather important but can be added to the documentation for advanced users. We should just not forget adding it since it is a core part of theme customization.

jelo

jelo

2019-02-12 12:50

partner   ~50515

We will see many questions about displaying variables (ExpressionScript) inside twig. {{ processString("{VARNAME}") }} should be exposed to people early on. When coming from an older LS version, you're looking for this.

DenisChenu

DenisChenu

2019-02-27 08:58

developer   ~50692

Staring by https://manual.limesurvey.org/New_Template_System_in_LS3.x#Further_information
https://manual.limesurvey.org/Theme:Available_function

Think have a Theme Namespace is a good idea …

cdorin

cdorin

2019-02-27 10:18

manager   ~50693

Looks awesome @DenisChenu. Thank you for your work!

Issue History

Date Modified Username Field Change
2019-02-08 09:35 DenisChenu New Issue
2019-02-08 09:35 DenisChenu Status new => assigned
2019-02-08 09:35 DenisChenu Assigned To => Mazi
2019-02-10 09:56 Mazi Assigned To Mazi => c_schmitz
2019-02-10 09:57 Mazi Note Added: 50483
2019-02-10 11:54 DenisChenu Note Added: 50485
2019-02-11 12:49 cdorin Note Added: 50492
2019-02-11 15:40 DenisChenu Note Added: 50502
2019-02-11 15:45 cdorin Note Added: 50503
2019-02-11 15:47 DenisChenu Assigned To c_schmitz => DenisChenu
2019-02-12 10:18 Mazi Note Added: 50511
2019-02-12 12:50 jelo Note Added: 50515
2019-02-27 08:58 DenisChenu Note Added: 50692
2019-02-27 08:59 DenisChenu Status assigned => resolved
2019-02-27 08:59 DenisChenu Resolution open => fixed
2019-02-27 08:59 DenisChenu Fixed in Version => 3.16.x
2019-02-27 10:18 cdorin Note Added: 50693
2019-04-30 09:11 c_schmitz Status resolved => closed